#!/usr/bin/env python
import os
from distutils.core import setup

__version__ = "1.3"

PREFIX = "static/pkg/famfamfam-silk/"

def get_files():
    r = ["static/pkg/famfamfam-silk/icons.css"]
    css = ["/* famfamfam silk icons set */"]
    for f in os.listdir(PREFIX):
        if f.endswith(".png"):
            r += [os.path.join(PREFIX, f)]
            css += [
                ".icon_%s {" % f[:-4],
                "    background-image: url(/static/pkg/famfamfam-silk/%s) !important;" % f,
                "}",
                ""
            ]
    # Write CSS file
    f = open("static/pkg/famfamfam-silk/icons.css", "w")
    f.write("\n".join(css))
    f.close()
    return r

setup(
    name="noc-pkg-famfamfam-silk",
    version=__version__,
    description="Silk icon set for NOC",
    url="http://http://www.famfamfam.com",
    maintainer="nocproject.org",
    maintainer_email="pkg@nocproject.org",
    data_files=[
        ("static/pkg/famfamfam-silk", get_files())
    ]
)
